bitel.billing.server.admin.bean

## Class AddressManager

- java.lang.Object
- - bitel.billing.server.admin.bean.AddressManager

-     public class AddressManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TABLE_ADDRESS_AREA`
    `static java.lang.String` | `TABLE_ADDRESS_CITY`
    `static java.lang.String` | `TABLE_ADDRESS_COUNTRY`
    `static java.lang.String` | `TABLE_ADDRESS_HOUSE`
    `static java.lang.String` | `TABLE_ADDRESS_QUARTER`
    `static java.lang.String` | `TABLE_ADDRESS_STREET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressManager(java.sql.Connection connect, DefaultServerSetup set_up)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCity(AddressCity city)`
    `void` | `addHouse(AddressHouse house)`
    `void` | `addStreet(ru.bitel.bgbilling.kernel.directory.address.AddressStreet street)`
    `void` | `deleteAddressParam(int cid, int pid)`
    `void` | `deleteAddressParams(java.lang.String tableId, int recordId)`
    `void` | `deleteExctraAddressParams(java.lang.String tableId, java.lang.String recordId, java.lang.String key)`
    `AddressStruct` | `getAddress(int cid, int pid)` Возвращает значение параметра типа "Адрес" для данного договора
    `AddressItem` | `getAddressItem(int itemId, java.lang.String table)`
    `java.lang.String` | `getAddressParam(java.lang.String tableId, int recordId, java.lang.String key)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getAddressParams(java.lang.String tableId, int recordId)`
    `AddressCity` | `getCity(int cityId)`
    `AddressCountry` | `getCountry(int countryId)`
    `AddressHouse` | `getHouse(int houseId)`
    `void` | `searchAreaList(SearchResult<AddressItem> searchResult, int cityId, java.lang.String areaMask, boolean loadCountryInfo, boolean loadCityInfo)`
    `void` | `searchCityList(SearchResult<AddressCity> searchResult, int countryId, java.lang.String cityMask, boolean loadCountryInfo)`
    `void` | `searchCountryList(SearchResult<AddressCountry> searchResult, java.lang.String countryMask)`
    `void` | `searchHouseList(SearchResult<AddressHouse> searchResult, int areaId, int quarterId, int streetId, java.lang.String houseFrac, boolean loadInfo, boolean loadCityInfo, boolean loadCountryInfo)`
    `void` | `searchQuarterList(SearchResult<AddressItem> searchResult, int cityId, java.lang.String areaMask, boolean loadCountryInfo, boolean loadCityInfo)`
    `void` | `searchStreetList(SearchResult<AddressItem> searchResult, int cityId, java.lang.String areaMask, boolean loadCountryInfo, boolean loadCityInfo)`
    `void` | `updateAddress(int cid, int pid, AddressStruct addressStruct)` Обновляет значение параметра типа адрес
    `void` | `updateAddressParams(java.lang.String tableId, int recordId, java.lang.String key, java.lang.String value)`
    `void` | `updateHouse(AddressHouse house)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TABLE_ADDRESS_COUNTRY

          public static final java.lang.String TABLE_ADDRESS_COUNTRY

      See Also:
        Constant Field Values

    - #### TABLE_ADDRESS_CITY

          public static final java.lang.String TABLE_ADDRESS_CITY

      See Also:
        Constant Field Values

    - #### TABLE_ADDRESS_AREA

          public static final java.lang.String TABLE_ADDRESS_AREA

      See Also:
        Constant Field Values

    - #### TABLE_ADDRESS_QUARTER

          public static final java.lang.String TABLE_ADDRESS_QUARTER

      See Also:
        Constant Field Values

    - #### TABLE_ADDRESS_STREET

          public static final java.lang.String TABLE_ADDRESS_STREET

      See Also:
        Constant Field Values

    - #### TABLE_ADDRESS_HOUSE

          public static final java.lang.String TABLE_ADDRESS_HOUSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AddressManager

          public AddressManager(java.sql.Connection connect,
                                DefaultServerSetup set_up)

  - ### Method Detail

    - #### getCountry

          public AddressCountry getCountry(int countryId)

    - #### getCity

          public AddressCity getCity(int cityId)

    - #### getAddressItem

          public AddressItem getAddressItem(int itemId,
                                            java.lang.String table)

    - #### getHouse

          public AddressHouse getHouse(int houseId)

    - #### getAddressParams

          public java.util.Map<java.lang.String,java.lang.String> getAddressParams(java.lang.String tableId,
                                                                                   int recordId)

    - #### getAddressParam

          public java.lang.String getAddressParam(java.lang.String tableId,
                                                  int recordId,
                                                  java.lang.String key)

    - #### updateAddressParams

          public void updateAddressParams(java.lang.String tableId,
                                          int recordId,
                                          java.lang.String key,
                                          java.lang.String value)

    - #### deleteAddressParams

          public void deleteAddressParams(java.lang.String tableId,
                                          int recordId)

    - #### deleteExctraAddressParams

          public void deleteExctraAddressParams(java.lang.String tableId,
                                                java.lang.String recordId,
                                                java.lang.String key)

    - #### searchCountryList

          public void searchCountryList(SearchResult<AddressCountry> searchResult,
                                        java.lang.String countryMask)

    - #### searchCityList

          public void searchCityList(SearchResult<AddressCity> searchResult,
                                     int countryId,
                                     java.lang.String cityMask,
                                     boolean loadCountryInfo)

    - #### searchAreaList

          public void searchAreaList(SearchResult<AddressItem> searchResult,
                                     int cityId,
                                     java.lang.String areaMask,
                                     boolean loadCountryInfo,
                                     boolean loadCityInfo)

    - #### searchQuarterList

          public void searchQuarterList(SearchResult<AddressItem> searchResult,
                                        int cityId,
                                        java.lang.String areaMask,
                                        boolean loadCountryInfo,
                                        boolean loadCityInfo)

    - #### searchStreetList

          public void searchStreetList(SearchResult<AddressItem> searchResult,
                                       int cityId,
                                       java.lang.String areaMask,
                                       boolean loadCountryInfo,
                                       boolean loadCityInfo)

    - #### searchHouseList

          public void searchHouseList(SearchResult<AddressHouse> searchResult,
                                      int areaId,
                                      int quarterId,
                                      int streetId,
                                      java.lang.String houseFrac,
                                      boolean loadInfo,
                                      boolean loadCityInfo,
                                      boolean loadCountryInfo)

    - #### getAddress

          public AddressStruct getAddress(int cid,
                                          int pid)

      Возвращает значение параметра типа "Адрес" для данного договора
      Parameters:
        `cid` - код договора
        `pid` - код параметра
      Returns:

    - #### updateAddress

          public void updateAddress(int cid,
                                    int pid,
                                    AddressStruct addressStruct)

      Обновляет значение параметра типа адрес
      Parameters:
        `cid` - код договора
        `pid` - код параметра
        `addressStruct` - значение адреса

    - #### deleteAddressParam

          public void deleteAddressParam(int cid,
                                         int pid)
                                  throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### addCity

          public void addCity(AddressCity city)

    - #### addStreet

          public void addStreet(ru.bitel.bgbilling.kernel.directory.address.AddressStreet street)

    - #### addHouse

          public void addHouse(AddressHouse house)
                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### updateHouse

          public void updateHouse(AddressHouse house)